Create a new Form ResponseAsk AIpost https://api.servicem8.com/api_1.0/formresponse.jsonOAuth Scope This endpoint requires the following OAuth scope manage_forms. Record UUID UUID is optional for record creation. If no UUID is supplied, a UUID will be automatically generated for the new record and returned in the x-record-uuid response header.Body ParamsForm Response record to createform_uuiduuidUUID of the form used to generate this form response. Links to a specific form in the system that defines the fields to be gathered.staff_uuiduuidUUID of the staff member who completed this FormResponse.regarding_objectstringThe object type that this form response is associated with. Common values include 'job', 'asset', or 'company'. Works in conjunction with regarding_object_uuid to link this form response to a specific record in the system.regarding_object_uuiduuidUUID of the specific record this form response is linked to. For example, if regarding_object is 'job', this will be the UUID of the specific job. This creates a relationship between the form response and the object it refers to.field_datastringJSON array of form answers captured at submission time.timestampstringDate and time when the form was submitted/completed. Used for sorting and displaying form responses chronologically. Format is YYYY-MM-DD HH:MM:SS in UTC timezone.form_by_staff_uuiduuidUUID of the staff member who completed or submitted this form. Identifies which user filled out the form. Used for tracking form submission history and staff accountability.document_attachment_uuiduuidUUID of the document attachment generated from this form response. When a form is completed, it can generate a PDF document which is stored as an attachment. This field links to that generated document attachment.asset_uuiduuidUUID of the Asset this form response is related to. Used when the FormResponsepertains to a specific asset, such as equipment inspections, maintenance checklists, or asset condition reports.uuiduuidUnique identifier for this recordResponses 200Success 400Bad Request - The request is malformed or contains invalid parameters 401Unauthorized - Authentication credentials are missing or invalid 403Forbidden - You don't have permission to create this resource 429Too Many Requests - You have exceeded the rate limit 500Internal Server Error - An unexpected error occurred on the serverUpdated 7 months ago